package com.ejie.ab04b.report;

import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.Workbook;

/**
 * @author GFI-NORTE
 * 
 */
public class SdfXLSReportView extends SdfAbstractPOIExcelView {

	/**
	 * Crea un nuevo libro.
	 * 
	 *  Workbook
	 *
	 * @return the workbook
	 */
	protected Workbook createWorkbook() {
		return new HSSFWorkbook();
	}

	/**
	 * Obtiene la extension del fichero.
	 * 
	 *  String
	 *
	 * @return the file extension
	 */
	protected String getFileExtension() {
		return ".xls";
	}
}
